tkScenarist - screenwriting made simpler

# Extra tool: 'Story/pitch templates'

## Summary

- Screenshot
- Introduction
- Usage
  - Picking up a template
  - Adding a template
  - Updating a template
  - Deleting a template
  - Changing templates directory
  - Resetting to default directory
  - Options
- Finally
- Quick nav

## Screenshot

Return to summary.

## Introduction

This tool allows to pick up available pitch/story templates for project startups. It also allows to create new templates and/or edit existing ones.

It is composed of:

1. a 'Templates' pane, on top left side;
2. a 'Preview' pane, just underneath;
3. an 'Edition' pane, on right side;
4. an 'Options' pane, on bottom end.

Extra tool panes are NOT resizable.

Return to summary.

## Usage

### Picking up a template

Select a template name into the 'Templates' list box, eventually check/uncheck some options, then click onto `OK` button to confirm your request.

Return to summary.

### Adding a template

Click on `Add new` button, then choose a filename into file dialog.

Please, note changing current working directory's location with this file dialog will actually change templates working directory for any future template script as well.

Return to summary.

### Updating a template

Select a template name into the 'Templates' list box, then click into the text area (white zone) of 'Preview' pane.

This big white zone is called a plain text editor.

This text editor especially supports automatic backup feature: anything you type in will be automatically saved into its dedicated file.

This object allows multiple line editing with carriage return, undo/redo stack and many other features.

Pressing on the carriage return key will insert a new paragraph.

Double-clicking on a word will select this word only.

Triple-clicking on a word will select the whole paragraph.

You may select all text by using `<Ctrl-A>` keyboard shortcut.

Any selection band is likely to be replaced by the next keystroke on the keyboard.

To undo last operation, try `<Ctrl-Z>` keyboard shortcut.

To redo last cancelled operation, try `<Ctrl-Shift-Z>` keyboard shortcut.

Return to summary.

### Deleting a template

Select a template name into the 'Templates' list box, then click on `Delete` button.

A confirmation dialog will popup before deleting definitely.

Return to summary.

### Changing templates directory

Click on `Browse` button, then choose a new templates working directory into the file dialog.

Return to summary.

### Resetting to default directory

Click on `Reset to default dir` to rollback immediately to application's default templates working directory.

Return to summary.

### Options

Check or uncheck options to meet your needs.

Checked options will be taken in account, unchecked won't.

Return to summary.

## Finally

IMPORTANT: don't forget to save your project regularly, either with `Project > Save` menu option or with `<Ctrl-S>` keyboard shortcut.

Return to summary.

#### Quick nav

- App by tabs
  - 'Title/Data' tab
  - 'Draft/Notes' tab
  - 'Pitch/Concept' tab
  - 'Characters' tab
  - 'Scenario' tab
  - 'Storyboard' tab
  - 'Resources' tab
- Extra tools
  - Name database
  - Story/pitch templates
  - Scenario Elements Editor (SEE)

Return to homepage.